Subject: Re: [PATCH v4] send-email: prompt-dependent exit codes

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Aug 2023 12:15:42 -0700

Oswald Buddenhagen <[email-masked]> writes:

> From the perspective of a scripted caller, failure to send (some) mails
> is an error even if it was interactively requested, so it should be
> indicated by a non-zero exit code.

I would agree that there should be a way to ask the command to
indicate if some messages were not sent due to end-user request, but
I have to say "From the perspective of a scripted caller" is a gross
over generalization that I would not want to see in a commit log
message of the project I run.  Not all our scripters do not write
the scripts the way you do.

It should not be hard to make this opt-in, and I still think it
should be opt-in.

Thanks.